%define anolis_release 2

Name:           perl-Test-Needs
Version:        0.002010
Release:        %{anolis_release}%{?dist}
Summary:        Skip tests when modules not available
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Needs
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Test-Needs-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(IPC::Open3)
BuildRequires:  perl(Test::Builder) perl(Test::More) >= 0.45 perl(Test2::API) perl(Test2::Event)
BuildRequires:  perl(lib) perl(strict) perl(version) perl(warnings)

%{?perl_default_filter}

%description
Skip test scripts if modules are not available. The requested modules
will be loaded, and optionally have their versions checked. If the
module is missing, the test script will be skipped. Modules that are
found but fail to compile will exit with an error rather than skip.

If used in a subtest, the remainder of the subtest will be skipped.

Skipping will work even if some tests have already been run, or if a
plan has been declared.

Versions are checked via a "$module->VERSION($wanted_version)" call.
Versions must be provided in a format that will be accepted. No extra
processing is done on them.

If "perl" is used as a module, the version is checked against the
running perl version ($]). The version can be specified as a number,
dotted-decimal string, v-string, or version object.

If the "RELEASE_TESTING" environment variable is set, the tests will
fail rather than skip. Subtests will be aborted, but the test script
will continue running after that point.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Test-Needs-%{version}

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%make_build test

%files
%license LICENSE
%{perl_vendorlib}/Test
%{_mandir}/man3/Test::Needs.3pm.zst

%files doc
%doc README Changes

%changelog
* Tue Apr 11 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.002010-2
- Optimize the spec file

* Thu Feb 9 2023 Funda Wang <fundawang@yeah.net> - 0.002010-1
- New version 0.002010

* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 0.002009-1
- Import package for anolis 23
